#!/usr/bin/python

import sys
sys.path.append("/usr/share/rhn/")
from up2date_client import up2date
from actions import packages

__rhnexport__ = [
    'update']


# action version we understand
ACTION_VERSION = 2 

argVerbose = 0          # verbose output (might clutter syslog)


def update(errataidlist):
    packagelist = []

    if type(errataidlist) not in [type([]), type(())]:
        errataidlist = [ errataidlist ]
        
    for errataid in errataidlist:
        tmpList = up2date.getErrataInfo(errataid)
        packagelist = packagelist + tmpList

    u = {}    
    for p in packagelist:
        u[p[0]] = p
    # XXX: Fix me - once we keep all errata packages around,
    # this is the WRONG thing to do - we want to keep the specific versions
    # that the user has asked for.
    packagelist = map(lambda a: [a, 0, 0, ""], u.keys())
        
    return packages.update(packagelist)
    
